> For the complete documentation index, see [llms.txt](https://docs.mindee.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.mindee.com/v2/fr/integrations/polling-for-results.md).

# Utilisation du polling

## Aperçu

Le flux de polling est plus simple à configurer et permet une intégration rapide.

Il est parfait pour tester Mindee sur une machine locale et convient à un usage en production léger.

Ce flux peut également être intégré à divers outils tiers tels que MS Power Automate.

Si vous ne savez pas lequel utiliser, choisissez ce flux.

### Diagramme de séquence

```mermaid
sequenceDiagram
    participant client as Client
    participant enqueue as .../enqueue
    participant job as /jobs
    participant results as .../results
    client->>enqueue: POST du fichier
    enqueue->>client: HTTP 202
    client->>client: attendre 3 secondes
    client->>job: GET job.id
    job->>client: Traitement en cours - HTTP 200
    loop Boucle jusqu'à ce que job.result_url soit renseigné ou que HTTP 302 soit renvoyé
      client->>client: attendre 1 seconde
      client->>job: GET job.id
      job->>client: Traité - HTTP 302
    end
    client->>results: GET job.result_url
    results->>client: HTTP 200
    client->>client: traiter le résultat JSON
```

## Envoyer des fichiers en utilisant le polling

Lorsque vous utilisez les SDK, ce processus de polling asynchrone est totalement transparent pour vous.

Il vous suffit d'appeler une seule méthode synchrone et d'attendre son retour.

Pour plus d'informations, consultez : [Envoyer un fichier ou une URL](/v2/fr/integrations/client-libraries-sdk/send-a-file-or-url.md#polling-configuration)

#### Arrêter le processus

Une fois qu'une requête a été envoyée, il n'est pas possible d'arrêter ou d'annuler le traitement.


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.mindee.com/v2/fr/integrations/polling-for-results.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
